summaryrefslogtreecommitdiffstats
path: root/src/spdk/dpdk/buildtools/check-experimental-syms.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:20 +0000
commit483eb2f56657e8e7f419ab1a4fab8dce9ade8609 (patch)
treee5d88d25d870d5dedacb6bbdbe2a966086a0a5cf /src/spdk/dpdk/buildtools/check-experimental-syms.sh
parentInitial commit. (diff)
downloadceph-483eb2f56657e8e7f419ab1a4fab8dce9ade8609.tar.xz
ceph-483eb2f56657e8e7f419ab1a4fab8dce9ade8609.zip
Adding upstream version 14.2.21.upstream/14.2.21upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/spdk/dpdk/buildtools/check-experimental-syms.sh')
-rwxr-xr-xsrc/spdk/dpdk/buildtools/check-experimental-syms.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/spdk/dpdk/buildtools/check-experimental-syms.sh b/src/spdk/dpdk/buildtools/check-experimental-syms.sh
new file mode 100755
index 00000000..5bc8cda1
--- /dev/null
+++ b/src/spdk/dpdk/buildtools/check-experimental-syms.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# SPDX-License-Identifier: BSD-3-Clause
+
+MAPFILE=$1
+OBJFILE=$2
+
+if [ -d $MAPFILE ]
+then
+ exit 0
+fi
+
+for i in `awk 'BEGIN {found=0}
+ /.*EXPERIMENTAL.*/ {found=1}
+ /.*}.*;/ {found=0}
+ /.*;/ {if (found == 1) print $1}' $MAPFILE`
+do
+ SYM=`echo $i | sed -e"s/;//"`
+ objdump -t $OBJFILE | grep -q "\.text.*$SYM"
+ IN_TEXT=$?
+ objdump -t $OBJFILE | grep -q "\.text\.experimental.*$SYM"
+ IN_EXP=$?
+ if [ $IN_TEXT -eq 0 -a $IN_EXP -ne 0 ]
+ then
+ cat >&2 <<- END_OF_MESSAGE
+ $SYM is not flagged as experimental
+ but is listed in version map
+ Please add __rte_experimental to the definition of $SYM
+ END_OF_MESSAGE
+ exit 1
+ fi
+done
+exit 0
+